version: "3.4"

services:
  web.dsw2:
    image: registry.gitlab.com/otevrenamesta/praha3/dsw2/master:latest
    container_name: web.dsw2
    environment:
      DATABASE_HOST: db.dsw2
      DATABASE_USER: root
      DATABASE_PASSWORD: superpass
      DATABASE_DATABASE: dsw2
      SECURITY_SALT: XXXXXXXXXXXXXXX
      CACHE_REDIS_HOST: redis.dsw2
      DEBUG: 'true'
    volumes:
      - dsw_web_data:/app/files
    depends_on:
      - db.dsw2
      - redis.dsw2

  db.dsw2:
    image: mariadb:10.4
    container_name: db.dsw2
    volumes:
      - dsw_maria_data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: superpass
      MYSQL_DATABASE: dsw2
    command: ['mysqld', '--character-set-server=utf8mb4', '--collation-server=utf8mb4_unicode_ci']
    healthcheck:
      test: mysqladmin ping -h localhost --user=root --password=$$MYSQL_ROOT_PASSWORD

  redis.dsw2:
    image: redis:5.0-alpine
    container_name: redis.dsw2
    volumes:
      - dsw_redis_data:/data

volumes:
  dsw_redis_data:
  dsw_maria_data:
  dsw_web_data:
